<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="V5Shop.Web.js_userinfo" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="V5Shop.Common" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.Caching" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by V5Shop Template Engine at 2009-5-15 23:25:07.
		本页面代码由V5Shop模板引擎生成于 2009-5-15 23:25:07. 
	*/

	base.OnInit(e);
	
	if(this.CookieLoginID == ""){
	templateBuilder.Append("	document.write(\"您好，欢迎光临！\");\r\n");
	
	}else{
	templateBuilder.Append("	document.write(\"您好，" + base.CookieLoginIDTemp.ToString() + "！ \");\r\n");
	
	}	//end if
	
	if(this.CookieLoginID == ""){
	templateBuilder.Append("	var url = document.URL;\r\n");
	templateBuilder.Append(" 	document.write(\"<a href='/0418/login.aspx?url=\"+ url +\"'>[请登录]</a> <a href='/0418/register.aspx?url=" + p.ToString() + "' target='_blank'>[免费注册]</a> \");\r\n");
	
	}else{
	templateBuilder.Append(" 	document.write(\"<a href='/0418/logout.aspx'>[退出]</a> &nbsp;&nbsp;\"); \r\n");
	templateBuilder.Append("	document.write('" + msgcount.ToString() + "');\r\n");
	templateBuilder.Append("	document.write(\"<a href='/0418/member/index.aspx?main=User_Message_Manage.aspx%3fs%3d1' target='_blank'>站内信</a> \");\r\n");
	
	}	//end if
	
	Response.Write(templateBuilder.ToString());
//init cache
	CacheManager testcaching = CacheFactory.GetCacheManager();
	if(!testcaching.Contains(Request.Url.ToString()))
	{
		testcaching.Add(Request.Url.ToString(), templateBuilder.ToString());
	}
}
</script>
